
import Vue from 'vue'

import utils from './utils/utils.js'

// 当前环境
const type = 'dev'


// 环境配置
const config = {
	dev : {
		baseUrl : 'http://augcl.natapp1.cc/employ-api',
	},
	prod : {
		baseUrl : 'https://employadmin.augcl.com/employ-api',
	}
}


// 默认配置
const defaultConfig = {
	mapKey : 'XMBBZ-BCPCV-SXPPQ-5Y7MY-PHZXK-YFFVU',
	aliOss : {
		// url : 'https://tennis-oss.xzaiyp.top/',
		url:"https://image.jthj8.com/",
		config : {
			//桶的地址
			region: 'oss-cn-guangzhou',
			//id
			// accessKeyId:'LTAI5tNycA46YTwm383dRvMV',
			accessKeyId:"LTAI5tMJitfHeQ8jNAikvEu7",
			//密钥
			// accessKeySecret:'tAdbYQCmdur6jbZ8hjvgB7T1Z52mIG',
			accessKeySecret:"GodE2mPZiW2WhiMtEkPhNNOThLlSRj",
			//桶的名字
			// bucket: 'zhuoqiu-image',
			bucket:"jthj8",
			// endpoint:'oss-cn-guangzhou.aliyuncs.com',
			endpoint:"oss-cn-guangzhou.aliyuncs.com"
		}
	},
}


uni.$u.setConfig({
	// 修改$uv.config对象的属性
	config: {
		// 修改默认单位为rpx，相当于执行 uni.$uv.config.unit = 'rpx'
		unit: 'px'
	},
})

Vue.prototype.$config = utils.deepMergeObject(defaultConfig, config[type])

// Vue.prototype.$api = api

export default Vue.prototype.$config